- Development
- CMS Developer Docs
- Update a group's details within a project.
Update a group's details within a project.
PATCH
/{workspaceIdOrAlias}/projects/{projectIdOrAlias}/groups/{groupIdOrKey}
Updates the name, key, or description of a group within a specific project.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspaceIdOrAlias
required
string
ID or alias of the workspace
projectIdOrAlias
required
string
ID or alias of the project
groupIdOrKey
required
string
ID or key of the group in the project
Request Body required
Section titled “Request Body required ”object
name
string
description
string
key
string
Responses
Section titled “ Responses ”The updated group.
object
id
required
string
schemaId
required
string
projectId
required
string
name
required
string
description
required
string
key
required
string
schema
required
object
id
string
projectId
string
fields
Array<object>
object
id
required
string
type
required
string
key
required
string
required
required
boolean
multiple
required
boolean
name
required
string
titleField
string
createdAt
string format: date-time
fields
required
Array<object>
object
id
required
string
type
required
string
key
required
string
required
required
boolean
multiple
required
boolean
name
required
string
Invalid request parameter value
Access token is missing or invalid
Group not found
Internal server error